POST Export quote details for email.
POST /merchant/spi/sample/endpoint/sa/customer/quote/quoteEmail
Operation ID: eReceiptQuoteSPI. Tags: Quote Events Webhook.
Export the quote details to merchants, and the merchant system sends the quote email to the customer. This SPI shares created Quote events to merchant's system for email. Merchants must implement the endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:
- Under API Config:
- API Key:
ERECEIPT_QUOTE - API Endpoint: Provide the external endpoint to get the order
- API Key:
- Under JSON Config:
- Integration Type:
HTTP_POST - JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json"}.
- Integration Type:
Request body
Media type: application/json. Schema: EReceiptQuoteRequest.
Responses
- default
Default response.
Media type:
application/json. Schema:SpiPSResponse.